import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.addBinding();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.AddBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceAddBindingResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"servicePrincipalId": "<string>",
"subject": {
"authzenServer": {
"appId": "<string>",
"id": "<string>"
},
"edge": {
"appId": "<string>",
"id": "<string>"
},
"functionId": "<string>",
"ssoApplication": {
"appId": "<string>",
"id": "<string>"
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings"
payload = {
"servicePrincipalId": "<string>",
"subject": {
"authzenServer": {
"appId": "<string>",
"id": "<string>"
},
"edge": {
"appId": "<string>",
"id": "<string>"
},
"functionId": "<string>",
"ssoApplication": {
"appId": "<string>",
"id": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
servicePrincipalId: '<string>',
subject: {
authzenServer: {appId: '<string>', id: '<string>'},
edge: {appId: '<string>', id: '<string>'},
functionId: '<string>',
ssoApplication: {appId: '<string>', id: '<string>'}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/service_principals/bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Add Binding
AddBinding associates a tenant-scoped subject with an existing service principal. Subjects support zero-to-many bindings; the same pair is idempotent and a soft-deleted pair is restored. Associations do not define runtime identity selection. Requires SERVICE_PRINCIPALS and the subject’s feature flag, plus existing service-principal and subject permissions.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.principal.addBinding();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Principal.AddBinding(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ServicePrincipalServiceAddBindingResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The ServicePrincipalServiceAddBindingRequest message.
The servicePrincipalId field.
ServicePrincipalBindingSubject identifies the entity that is bound to a service principal. Open-ended oneof so future subject kinds (workflows, connectors, etc.) can be added without changing the RPC shape.
This message contains a oneof named kind. Only a single field of the following list may be set at a time:
- functionId
- ssoApplication
- authzenServer
- edge
Show child attributes
Show child attributes
Response
Successful response
The ServicePrincipalServiceAddBindingResponse message.
Was this page helpful?